Bug 1279997 - Upstream patch for authenticated bind from upstream not included in EPEL5 RPM package
Upstream patch for authenticated bind from upstream not included in EPEL5 RPM...
Status: CLOSED EOL
Product: Fedora EPEL
Classification: Fedora
Component: 389-ds-base (Show other bugs)
el5
x86_64 Linux
unspecified Severity high
: ---
: ---
Assigned To: Rich Megginson
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-10 11:37 EST by bryan.dove
Modified: 2017-03-28 00:25 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-03-28 00:25:41 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Attachment including patch to address authenticated bind failure (3.20 KB, application/mbox)
2015-11-10 11:37 EST, bryan.dove
no flags Details

  None (edit)
Description bryan.dove 2015-11-10 11:37:43 EST
Created attachment 1092366 [details]
Attachment including patch to address authenticated bind failure

Description of problem:
When account policy is enabled, authenticated bind requests to the directory hang.

Version-Release number of selected component (if applicable):
389-ds-base-1.2.11.32-1.el5.x86_64.rpm

How reproducible:
reliably

Steps to Reproduce:
1. enable the password policy
2. set a user's password to expire in 7 days (within the warning window)
3. attempt to perform an authenticated bind

Actual results:
locked query with no response

Expected results:
query response


Additional info:

It looks to me like this issue was patched upstream in scope of https://fedorahosted.org/389/ticket/47748

The attachment file https://fedorahosted.org/389/attachment/ticket/47748/0001-Ticket-47748-Simultaneous-adding-a-user-and-binding-.3.patch was applied to 389-ds-base-1.2.11 in the following changeset:

https://fedorahosted.org/389/changeset/aa935c9a9297ab22d3c7fc17381e735521d9cd03/

I'm surprised that the same fix is absent from the EPEL5 RPM 389-ds-base-1.2.11.32-1.el5.x86_64.rpm
Comment 1 bryan.dove 2016-01-08 16:21:07 EST
Is there any chance this patch will be included in the next mainstream release?
Any idea when that might be?
Comment 2 wibrown@redhat.com 2017-03-28 00:25:41 EDT
I do not believe that we will be performing this backport. I'm sorry that it took so long to respond to this issue.

Note You need to log in before you can comment on or make changes to this bug.